# Class GSPlayController

java.lang.Object
GSPlayController

All Implemented Interfaces:
  `ActionListener`, `KeyListener`, `EventListener`

public class GSPlayController extends Object implements KeyListener, ActionListener
Le contrôleur pour le jeu de la grille.

## Constructor Summary

Constructors
Constructor
Description
`GSPlayController(GSPlay gsPlay)`
Constructeur du contrôleur du jeu de la grille.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Gère les actions lorsqu'un événement se produit.
`void`
`keyPressed(KeyEvent e)`
Gère les événements lorsque la touche est enfoncée.
`void`
`keyReleased(KeyEvent e)`
Gère les événements lorsque la touche est relâchée.
`void`
`keyTyped(KeyEvent e)`
Gère les événements lorsque la touche est tapée.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSPlayController

public GSPlayController(GSPlay gsPlay)
Constructeur du contrôleur du jeu de la grille.

Parameters:
  `gsPlay` - Le jeu de la grille associé à ce contrôleur.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Gère les actions lorsqu'un événement se produit.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - L'événement déclenché.

### keyPressed

public void keyPressed(KeyEvent e)
Gère les événements lorsque la touche est enfoncée.

Specified by:
  `keyPressed` in interface `KeyListener`
Parameters:
  `e` - L'événement de la touche enfoncée.

### keyReleased

public void keyReleased(KeyEvent e)
Gère les événements lorsque la touche est relâchée.

Specified by:
  `keyReleased` in interface `KeyListener`
Parameters:
  `e` - L'événement de la touche relâchée.

### keyTyped

public void keyTyped(KeyEvent e)
Gère les événements lorsque la touche est tapée.

Specified by:
  `keyTyped` in interface `KeyListener`
Parameters:
  `e` - L'événement de la touche tapée.